Skip to main content
GET
/
v1
/
customers
cURL
curl --request GET \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/customers
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z",
    "total_items": 123,
    "page_number": 123,
    "page_size": 123,
    "max_page_size": 123,
    "sort_by": "<string>",
    "sort_order": "asc",
    "total_pages": 123
  },
  "response_type": "object",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "type": "individual",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "status": "verified",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "external_id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

Straddle-Account-Id
string<uuid>

For use by platforms to specify an account_id to set the scope of a request.

Request-Id
string

Optional client generated identifier to trace and debug a request.

Correlation-Id
string

Optional client generated identifier to trace and debug a series of requests.

Query Parameters

page_number
integer<int32>
default:1

Page number for paginated results. Starts at 1.

page_size
integer<int32>
default:100

Number of results per page. Maximum: 1000.

sort_by
enum<string>
Available options:
name,
created_at
sort_order
enum<string>
default:asc
Available options:
asc,
desc
created_from
string<date-time>

Start date for filtering by created_at date.

created_to
string<date-time>

End date for filtering by created_at date.

name
string

Filter customers by name (partial match).

external_id
string

Filter by your system's external_id.

email
string

Filter customers by email address.

status
enum<string>[]

Filter customers by their current status.

Available options:
pending,
review,
verified,
inactive,
rejected
search_text
string

General search term to filter customers.

types
enum<string>[]

Filter by customer type individual or business.

Available options:
individual,
business

Response

OK

meta
object
required
response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object[]
required